var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React from 'react';
import classnames from 'classnames';
import DragIndicatorIcon from '@mui/icons-material/DragIndicator';
import { useStyles } from './styles';
export var withDragHandle = function (Component) {
    var WithDragHandle = function (props) {
        var styles = useStyles();
        return (React.createElement("div", { className: styles.dragHandleContainer },
            React.createElement("div", { className: styles.dragHandleVisibilityArea },
                React.createElement("div", { className: classnames('viewDraggableHandle', styles.dragHandle) },
                    React.createElement(DragIndicatorIcon, { className: styles.dragIcon }))),
            React.createElement(Component, __assign({}, props))));
    };
    WithDragHandle.displayName = 'WithDragHandle';
    return WithDragHandle;
};
